function skill071(j)  --瑕 纵雨4次
--高高跃起，丢出无数飞镖。形成巨大的屏障，让敌人无处容身。攻击敌方全体。
--每次使用将消耗暗器类道具，每次随机消耗4个，并依据暗器自身的强弱决定伤害。
--如果有多个目标，将分散额外伤害能力。目标越少，每个目标承受的伤害越多。


dm=0
cq=0
hq=0
pr=0
yz=0
scale=0
stone=0
aq={1,2,3,4,5,6,7,8,9,10,11,12}
hq={1,2,3,4,5,6,7,8,9,10,11,12}


for i=1,11,1 do
aq[i]=player.GetItemCount(99+i)--对应编号暗器的数量
if aq[i]>=1 then
cq=cq+1--一共有多少种暗器可用
hq[cq]=i+99--可用的第几种暗器分别是什么编号
end
end

stone=player.GetItemCount(125)
if stone>=1 then
cq=cq+1
hq[cq]=125
end

if cq~=0 then

wq=battle.GetRndNumber(1,cq)--随机抽取可用的一种暗器
player.AddItem(hq[wq],-1,1)
if hq[wq]==109 then
	dm=6--不同编号暗器的伤害力因子
elseif hq[wq]==110 then
	dm=4
elseif hq[wq]>=103 and hq[wq]<=108 then
	dm=4.5
elseif hq[wq]<=102 or hq[wq]==125 then
	dm=3
end

for se=1,7,1 do--计算人数
	if battle.CheckNpcPlace(se)==0 then
	    pr=pr+1
	end
end
if pr==0 then pr=4 end--容错

dm=dm/pr
if pr==1 then
dm=dm/1.5
elseif pr==2 then
dm=dm/1.2
end

scale=9/player.GetLevel(2)+0.6
if scale>1.25 then scale=1.25 end
if scale<0.75 then scale=0.75 end

for se=1,7,1 do
if battle.CheckNpcPlace(se)==0 then
	local tid=battle.GetPlaceNpcID(se)
	if j==1 then yz=7 elseif j==2 then yz=16 elseif j==3 then yz=22 elseif j==4 then yz=26 end
	ca=battle.GetRndNumber(-10,10)/100
	npc.ChangeHP(0,0,tid,-(((player.GetLevel(2)-player.GetLevel(2)/5)*dm*yz*scale)*(1+ca))*1.3)
end
end

end


	local a=battle.GetRndNumber(1,200)
	if a>=1 and a<=11 then
		local pid=battle.GetActingPlayerID()
		player.AddStat(0,pid,100,12,3)
		player.CreateSE(2,3914)
	end


end